Page MenuHome

Blender 2.80 not working
Closed, ResolvedPublic

Description

Recently I downloaded blender 2.80 from blender's official website and when I try to open it, it just crashes showing "blender 2.80 not working". Any solution

Details

Type
Bug

Event Timeline

Please, add all the missing information to your report: OS System, GPU, Detailed description of the error and exact steps for us to test.

Marco (nacioss) triaged this task as Needs Information from User priority.Apr 10 2019, 12:08 PM

OS Name Microsoft Windows 7 Ultimate
Version 6.1.7601 Service Pack 1 Build 7601
Other OS Description Not Available
OS Manufacturer Microsoft Corporation
System Name LENOVO-PC
System Manufacturer LENOVO
System Model Lenovo H430
System Type X86-based PC
Processor Intel(R) Pentium(R) CPU G630 @ 2.70GHz, 2700 Mhz, 2 Core(s), 2 Logical Processor(s)
GPU Nvidia G-Force GT 620

Problem- When I open blender 2.80, it just crashes and a dialog box showing "blender 2.80 not working" pops up

Can you provide a screenshot of the "not working" dialog that you're seeing? That's not being generated by Blender itself as far as I know.

In the Blender installation folder there's a script called blender_debug_log.bat which you can double click on to run, press enter when it prompts you, then it will try to run Blender and when it crashes/exits it will show you an explorer window with hopefully one or two files containing errors and/or system information and you can attach those files to this ticket.

The G-Force GT-620 is a relatively old and underpowered video card. It is only capable of CUDA compute capability 2.1 and so is not supported for Cycles GPU-accelerated rendering in 2.80.


This is the file that comes when I run blender_debug

Any update regarding my problem???

Does the official 2.79b version of Blender work on your system?

https://www.blender.org/download/

This is likely because you use an old driver for your graphics card which doesn't support OpenGL 3.3 or newer. Install the latest driver and see if that resolves the problem.

Yes blender 2.79 works in my pc, 6 months ago I downloaded the driver version 391.35 till now the driver version is the same. Do I need to download it again??

Gavin Scott (Zoot) added a comment.EditedApr 12 2019, 11:46 PM

Ah, I think you may just be running a version of 2.80 32-bit from before fixes were done the other day that could result in startup problems like this.

Please download and try the latest build for your OS from:

https://builder.blender.org/download/

Finally it worked. Just downloaded the latest version. Thanks for your wholehearted support

Gavin Scott (Zoot) closed this task as Resolved.Apr 13 2019, 1:39 AM
Gavin Scott (Zoot) claimed this task.